# VertexGroups(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``VertexGroups`(bpy_struct)

  Collection of vertex groups

  `active`

    Vertex groups of the object

    Type: | `VertexGroup`, (readonly)

  `active_index`

    Active index in vertex group array

    Type: | int in [0, 32767], default 0

  `new`(name="Group")

    Add vertex group to object

    Parameters: | name (string, (optional, never None)) – Vertex group name
    Returns: | New vertex group
    Return type: | `VertexGroup`

  `remove`(group)

    Delete vertex group from object

    Parameters: | group (`VertexGroup`, (never None)) – Vertex group to remove

  `clear`()

    Delete all vertex groups from object

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Object.vertex_groups` |